package de.java2html.eclipse.util;

import java.io.Reader;
import java.io.StringReader;

import org.eclipse.jdt.internal.core.CompilationUnit;


/**
 * @author Markus Gebhard
 */
public class ReadableDocumentCompilationUnitAdapter implements ReadableDocument{
  private CompilationUnit content;
  private String name;
  
  public ReadableDocumentCompilationUnitAdapter(CompilationUnit content){
    this.content = content;
    setName(content.getElementName());
  }

  public void setName(String name) {
    this.name = name;
  }

  /**
   * @see de.java2html.eclipse.util.ReadableDocument#getReader()
   */
  public Reader getReader() throws Exception {
    return new StringReader(new String(content.getContents()));
  }

  /**
   * @see de.java2html.eclipse.util.ReadableDocument#getName()
   */
  public String getName() {
    return name;
  }

  /**
   * @see java.lang.Object#equals(java.lang.Object)
   */
  public boolean equals(Object obj) {
    if (!(obj instanceof ReadableDocumentCompilationUnitAdapter)){
      return false;
    }
    return content.equals(((ReadableDocumentCompilationUnitAdapter)obj).content);
  }

  /**
   * @see java.lang.Object#hashCode()
   */
  public int hashCode() {
    return content.hashCode();
  }
}