package de.java2html.eclipse.util.test;

import org.eclipse.swt.SWTException;
import org.eclipse.swt.graphics.Color;

import de.java2html.eclipse.util.AwtToSwtColorTable;
import de.java2html.util.RGB;
import junit.framework.TestCase;

/**
 * @author Markus Gebhard
 */
public class AwtToSwtColorTableTest extends TestCase {
  private AwtToSwtColorTable table;
  
  protected void setUp() throws Exception {
    super.setUp();
    table = new AwtToSwtColorTable();
  }

  public void testCreation(){
    assertEquals(0, table.getSize());
  }

  public void testGetColor(){
    Color swtColor1 = table.getSwtColor(RGB.BLACK);
    assertNotNull(swtColor1);
  }

  public void testGetColorGetsSameInstance(){
    Color swtColor1 = table.getSwtColor(RGB.BLACK);
    Color swtColor2 = table.getSwtColor(RGB.BLACK);
    assertSame(swtColor1, swtColor2);
  }
  
  public void testDispose(){
    table.getSwtColor(RGB.BLACK);
    Color disposedColor = table.getSwtColor(RGB.BLACK);
    table.disposeColors();
    assertEquals(0, table.getSize());
    try{
      disposedColor.getBlue();
      fail("Color not disposed after call to disposeSwtColors()");
    }catch(SWTException expected){
      //expected
    }
  }
}